2 Replies Latest reply on Nov 22, 2013 4:01 AM by Yong Ning

    How to change the property name in custinfo?

    Yong Ning

      1.jpg

      Help

      Change property name b1 → change → a1

       

       

      Follow Code can be the property name. can be display property name. 

       

      Sub main()

          Dim swApp                           As SldWorks.SldWorks

          Dim swModel                         As SldWorks.ModelDoc2

          Dim vConfigNameArr                  As Variant

          Dim vConfigName                     As Variant

          Dim vCustInfoNameArr                As Variant

          Dim vCustInfoName                   As Variant

          Dim bRet                            As Boolean

          Set swApp = Application.SldWorks

          Set swModel = swApp.ActiveDoc

         

          Debug.Print "File = " & swModel.GetPathName

         

          vConfigNameArr = swModel.GetConfigurationNames

         

          ' Is empty if a drawing becasue configurations not supported on drawings

          If IsEmpty(vConfigNameArr) Then

              ReDim vConfigNameArr(0)

              vConfigNameArr(0) = ""

          Else

              ' Add a blank string for the nonconfiguration-specific custom properties

              ReDim Preserve vConfigNameArr(UBound(vConfigNameArr) + 1)

          End If

         

          For Each vConfigName In vConfigNameArr

              Debug.Print "  " & vConfigName

         

              vCustInfoNameArr = swModel.GetCustomInfoNames2(vConfigName)

              If Not IsEmpty(vCustInfoNameArr) Then

                  For Each vCustInfoName In vCustInfoNameArr

                      Debug.Print "    " & vCustInfoName

                      Debug.Print "      Type     = " & swModel.GetCustomInfoType3(vConfigName, vCustInfoName)

                      Debug.Print "      Value    = " & swModel.GetCustomInfoValue(vConfigName, vCustInfoName)

                      Debug.Print "      Text     = " & swModel.CustomInfo2(vConfigName, vCustInfoName)

                  Next

              End If

              Debug.Print "  ---------------------------"

          Next

      End Sub